Public Class InversionesCE
    Private _IdDeDocumento As Integer = 0
    Private _CodigoInversion As String = String.Empty
    Private _EstadoDocumento As String = String.Empty
    Private _EstadoAutorizacion As String = String.Empty
    Private _CodigoEmpresa As String = String.Empty
    Private _CodigoIF As String = String.Empty
    Private _TipoIF As String = String.Empty
    Private _CodigoEmisor As Integer = 0
    Private _CodigoCalificacionDeRiesgo As String = String.Empty
    Private _CodigoCalificadoraDeRiesgo As String = String.Empty
    Private _Comentarios As String = String.Empty
    Private _TipoOperacion As String = String.Empty
    Private _DocumentoBase As Integer = 0
    Private _CodigoAsociado As String = String.Empty
    Private _MontoInversion As Double = 0
    Private _Rendimiento As Double = 0
    Private _Ingresos As Double = 0
    Private _Precio As Double = 0
    Private _PlazoNumero As Integer = 0
    Private _PlazoFactor As String = 0
    Private _FechaDocumento As Date = Date.Today.Date
    Private _Pais As String = String.Empty
    Private _TipoMercado As String = String.Empty
    Private _NombreManual As String = String.Empty
    Private _CodigoManual As String = String.Empty
    Private _Periodicidad As String = String.Empty
    Private _TipoTasa As String = String.Empty
    Private _TipoRenta As String = String.Empty
    Private _OFondo As String = String.Empty
    Private _EstadoProceso As String = String.Empty
    Private _CodigoCompra As String = String.Empty
    Private _EstadoReporto As String = String.Empty
    Private _IdFlujo As Integer = 0
    Private _IdEA As Integer = 0
    Private _IdProInv As Integer = 0



    Public Property IdDeDocumento As Integer
        Get
            Return _IdDeDocumento
        End Get
        Set(value As Integer)
            _IdDeDocumento = value
        End Set
    End Property

    Public Property CodigoIversion As String
        Get
            If _CodigoInversion Is Nothing Then Return "" Else Return _CodigoInversion
        End Get
        Set(value As String)
            _CodigoInversion = value
        End Set
    End Property


    Public Property EstadoProceso As String
        Get
            If _EstadoProceso Is Nothing Then Return "" Else Return _EstadoProceso
        End Get
        Set(value As String)
            _EstadoProceso = value
        End Set
    End Property
    Public Property CodigoEmisor As Integer
        Get
            Return _CodigoEmisor
        End Get
        Set(value As Integer)
            _CodigoEmisor = value
        End Set
    End Property
    Public Property CodigoCalificacionDeRiesgo As String
        Get
            If _CodigoCalificacionDeRiesgo Is Nothing Then Return String.Empty Else Return _CodigoCalificacionDeRiesgo
        End Get
        Set(value As String)
            _CodigoCalificacionDeRiesgo = value
        End Set
    End Property
    Public Property CodigoEmpresaCalificadora As String
        Get
            If _CodigoCalificadoraDeRiesgo Is Nothing Then Return String.Empty Else Return _CodigoCalificadoraDeRiesgo
        End Get
        Set(value As String)
            _CodigoCalificadoraDeRiesgo = value
        End Set
    End Property

    Public Property CodigoInstrumentoFinanciero As String
        Get
            If _CodigoIF Is Nothing Then Return String.Empty Else Return _CodigoIF
        End Get
        Set(value As String)
            _CodigoIF = value
        End Set
    End Property
    Public Property TipoInstrumentoFinanciero As String
        Get
            Return _TipoIF
        End Get
        Set(value As String)
            _TipoIF = value
        End Set
    End Property
    Public Property CodigoEmpresa As String
        Get
            If _CodigoEmpresa Is Nothing Then Return String.Empty Else Return _CodigoEmpresa
        End Get
        Set(value As String)
            _CodigoEmpresa = value
        End Set
    End Property

    Public Property PlazoNumero As Integer
        Get
            Return _PlazoNumero
        End Get
        Set(value As Integer)
            _PlazoNumero = value
        End Set
    End Property
    Public Property PlazoFactor As String
        Get
            If _Plazofactor Is Nothing Then Return String.Empty Else Return _Plazofactor
        End Get
        Set(value As String)
            _Plazofactor = value
        End Set
    End Property


    Public Property TipoOperacion As String
        Get
            Return _TipoOperacion
        End Get
        Set(value As String)
            _TipoOperacion = value
        End Set
    End Property


    Public Property OFondo As String
        Get

            If _OFondo Is Nothing Then Return String.Empty Else Return _OFondo
        End Get
        Set(value As String)
            _OFondo = value
        End Set
    End Property


    Public Property CodigoCompra As String
        Get

            If _CodigoCompra Is Nothing Then Return String.Empty Else Return _CodigoCompra
        End Get
        Set(value As String)
            _CodigoCompra = value
        End Set
    End Property
    Public Property EstadoDocumento As String
        Get
            If _EstadoDocumento Is Nothing Then Return String.Empty Else Return _EstadoDocumento
        End Get
        Set(value As String)
            _EstadoDocumento = value
        End Set
    End Property


    Public Property Comentarios As String
        Get
            Return _Comentarios
        End Get
        Set(value As String)
            _Comentarios = value
        End Set
    End Property


    Public Property CodigoAsociado As String
        Get
            Return _CodigoAsociado
        End Get
        Set(value As String)
            _CodigoAsociado = value
        End Set
    End Property

    Public Property EstadoReporto As String
        Get
            Return _EstadoReporto
        End Get
        Set(value As String)
            _EstadoReporto = value
        End Set
    End Property

    Public Property IdFlujo As Integer
        Get
            Return _IdFlujo
        End Get
        Set(value As Integer)
            _IdFlujo = value
        End Set
    End Property

    Public Property IdEA As Integer
        Get
            Return _IdEA
        End Get
        Set(value As Integer)
            _IdEA = value
        End Set
    End Property



    Public Property IdProInv As Integer
        Get
            Return _IdProInv
        End Get
        Set(value As Integer)
            _IdProInv = value
        End Set
    End Property


    Public Property DocumentoBase As Integer
        Get
            Return _DocumentoBase
        End Get
        Set(value As Integer)
            _DocumentoBase = value
        End Set
    End Property
    Public Property FechaDocumento As Date
        Get
            Return _FechaDocumento
        End Get
        Set(value As Date)
            _FechaDocumento = value
        End Set
    End Property
    Public Property Pais As String
        Get
            Return _Pais
        End Get
        Set(value As String)
            _Pais = value
        End Set
    End Property
    Public Property TipoMercado As String
        Get

            Return _TipoMercado
        End Get
        Set(value As String)
            _TipoMercado = value
        End Set
    End Property
    Public Property NombreManual As String
        Get
            Return _NombreManual
        End Get
        Set(value As String)
            _NombreManual = value
        End Set
    End Property
    Public Property CodigoManual As String
        Get
            Return _CodigoManual
        End Get
        Set(value As String)
            _CodigoManual = value
        End Set
    End Property
    Public Property Periodicidad As String
        Get
            Return _Periodicidad
        End Get
        Set(value As String)
            _Periodicidad = value
        End Set
    End Property
    Public Property TipoTasa As String
        Get
            Return _TipoTasa
        End Get
        Set(value As String)
            _TipoTasa = value
        End Set
    End Property
    Public Property TipoRenta As String
        Get
            Return _TipoRenta
        End Get
        Set(value As String)
            _TipoRenta = value
        End Set
    End Property

    Public Sub New()
        _CodigoManual = String.Empty
        _TipoOperacion = String.Empty
        _Comentarios = String.Empty
    End Sub

End Class
